Article ID: 123819, created on Dec 8, 2014, last review on Dec 14, 2015

  • Applies to:
  • Plesk Automation 11.1

Symptoms

PA upgrade failed failed with the following error:

    Error message or request description : [LOGTEE]: 2014-11-05 10:01:11.077  INFO installing other-meta-package-1.0 (715) to host 1
    [LOGTEE]: 2014-11-05 10:02:24.931 ERROR Error trace:
    [LOGTEE]: 2014-11-05 10:02:24.931 ERROR poaupdater.openapi.OpenAPIError
    [LOGTEE]: Error during OpenAPI call: Command '/bin/sh -c /tmp/make_rndc_key.sh > /tmp/make_rndc_key.log 2>&1' execution failed with code 126:
    [LOGTEE]: 2014-11-05 10:02:24.971 ERROR poaupdater.openapi.OpenAPIError occurred during installing/upgrading packages on management node
    [LOGTEE]: Error during OpenAPI call: Command '/bin/sh -c /tmp/make_rndc_key.sh > /tmp/make_rndc_key.log 2>&1' execution failed with code 126:
    [LOGTEE]: 2014-11-05 10:02:24.971  WARN Action installing/upgrading packages on management node has been ABORTED
    [LOGTEE]: 2014-11-05 10:02:24.971 ERROR OpenAPIError ("Error during OpenAPI call: Command '/bin/sh -c /tmp/make_rndc_key.sh > /tmp/make_rndc_key.log 2>&1' execution failed with code 126: ",) while installing/upgrading packages on management node
    [LOGTEE]: 2014-11-05 10:02:24.971 ERROR poaupdater.openapi.OpenAPIError

Cause

The behavior was considered as internal software issue PPA-2170. The fix is planned to be included in one of the future product updates.

Upgrade fails if /tmp partition on management node is mounted as noexec.

Resolution

Refer to your system administrator to re-mount /tmp partition with execution permission. After that restart upgrade process.

Search Words

ERROR poaupdater.openapi.OpenAPIError

PPA upgrade failed

Command '/bin/sh -c /tmp/make_rndc_key.sh > /tmp/make_rndc_key.log 2>&1' execution failed with code 126

Error during OpenAPI call

c1ecc6010feff26cb42d1d14a7881dd6 caea8340e2d186a540518d08602aa065 e0aff7830fa22f92062ee4db78133079

Email subscription for changes to this article
Save as PDF